When I visit the Play Store it says “Device not supported”.

Unfortunately the Pitchero App requires the device to have a minimum software version of 4.0.3. Please update and refresh the Play Store.

Feedback and Knowledge Base